Page MenuHomePhabricator

Lift IP limit - WMCL Editathon 2019-12-07
Closed, ResolvedPublic

Description

Wikimedia Chile, the local chapter in Chile, will host an outreach event in Santiago on December 7.

This event is an Editathon about Human Rights at International Amnesty in Santiago, Chile.

We think we will have some new editors, so we are requesting lift the IP rate limit for this event. Our partners are estimating about 20 attendees (veteran, new users, others). The users could edit in Spanish, English Wikipedia, Wikimedia Commons and Wikidata, and every time will be helped by the users and volunteers of Wikimedia Chile to don't allow break anything into Wikimedia projects.

So, I request lift the IP rate limit around 8 hours (between 12:00 UTC - 20:00 UTC ; 09:00 CLST - 17:00 CLST)

Wikis: es.wikipedia.org, en.wikipedia.org, commons.wikimedia.org wikidata.org
IP address: 201.236.179.50
Timeframe: Dec 07 2019 12:00 UTC to Dec 07 2019 20:00 UTC
Attendees: 20

Thanks in advance

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd throttle rule for WMCL Editathon 2019-12-07

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSat, Nov 23, 2:45 PM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptSat, Nov 23, 6:15 PM

Creating accounts instead would be better IMHO. Then any admin can grant (auto)confirmed rights.

Zoranzoki21 changed the task status from Open to Stalled.Sat, Nov 23, 6:31 PM

Creating accounts instead would be better IMHO. Then any admin can grant (auto)confirmed rights.

Hmm yes, that's true. You should be able as sysop and bureaucrat on eswiki to create 20 accounts without problems. I can make patch, it's not problem, but this is low number.

AFAIK, per my own chapter, in the Editathon will not participate any volunteer with bureaucrat rights.

If the "low number" is the problem, we can reach more people or increase the estimation or just close the request.

Creating accounts instead would be better IMHO. Then any admin can grant (auto)confirmed rights.

Idts. Throttle rule automatically grants autoconfirmed rights and a few of other things. We are fine to have throttle rule for even 10 people, 30 is an ideal thing for a throttle rule.

Urbanecm changed the task status from Stalled to Open.Sat, Nov 23, 6:51 PM
Urbanecm triaged this task as High priority.

It's really not a problem.

Restricted Application added a subscriber: Dereckson. · View Herald TranscriptSat, Nov 23, 6:51 PM

Change 552640 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Add throttle rule for WMCL Editathon 2019-12-07

https://gerrit.wikimedia.org/r/552640

Zoranzoki21 raised the priority of this task from High to Needs Triage.Sat, Nov 23, 7:22 PM

I think I should make patch with bigger number.

Urbanecm triaged this task as Medium priority.Sat, Nov 23, 8:31 PM

What's going on here? Why you are raising and then lowering the priority?

What's going on here? Why you are raising and then lowering the priority?

I didn't set priority nor Superzerocool. I changed status to stailed. After I changed status to open, and I don't know why it shows here as raising the priority of this task from High to Needs Triage.

It's probably an edit conflict. There's nothing special going on - it will be done soon :-).

Change 552640 merged by jenkins-bot:
[operations/mediawiki-config@master] Add throttle rule for WMCL Editathon 2019-12-07

https://gerrit.wikimedia.org/r/552640

Mentioned in SAL (#wikimedia-operations) [2019-11-25T11:11:57Z] <urbanecm@deploy1001> Synchronized wmf-config/throttle.php: SWAT: 4670d1d: Add throttle rule for WMCL Editathon 2019-12-07 (T238986) (duration: 00m 53s)

Urbanecm closed this task as Resolved.Mon, Nov 25, 11:40 AM